PENGADIAN EMAS - Bug #15709

[UAT] [AND] [ESB RC] Negative Testing - Error Message, Reversal, Acknowledgement Screen
###9625

07 February 2023 04:09 PM - yap chekying

Status: Closed Start date: 07 February 2023
Priority: Urgent Due date:

Assignee: yap chekying % Done: 0%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour
Description

Screen: Attached

UID : UATEMAS120

1. RC-0X : Tidak ada error message. Dana terpotong dan tidak ada reversal. History tidak muncul
Expected : - Display error message "Gagal Mendapatkan Stok Emas”. M2U

- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

2. RC-0X :tidak ada error message. Dana terpotong dan tidak ada reversal. History tidak muncul
Expected : - Display error message "Sistem Sopia Down”. M2U

- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

3. RC-X4 :tidak ada error message. Dana terpotong dan tidak ada reversal . History muncul failed. Informasi di acknowledgement
screen tetap ada, saat ini null dan nominal 0

Expected : - Display error message "Path Tidak Ditemukan”. M2U

- Information in acknowledgement screen in not correct. M2U

- Money should reversal back to customer. Systematic

4. RC-5X :tidak ada error message. Dana terpotong dan tidak ada reversal. History muncul failed. Informasi di acknowledgement
screen tetap ada, saat ini null dan nominal 0

Expected : - Display error message "System Gagal Mengambil Data”. M2U

- Information in acknowledgement screen in not correct. M2U

- Money should reversal back to customer. Systematic

5. RC-12 : muncul error message setelah S2U dan kembali ke summary screen. Dana terpotong dan tidak ada reversal. History
tidak muncul

Expected : - Error message should display in acknowledgement screen. M2U

- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

6. RC-13 :tidak ada error message. Dana terpotong dan tidak ada reversal. History tidak muncul. Informasi di acknowledgement
screen tetap ada

Expected : - Display error message "Jumlah Tidak Sesuai”. M2U

- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

7. RC-14 :tidak ada error message. Dana terpotong dan tidak ada reversal. History tidak muncul. Informasi di acknowledgement
screen tetap ada

Expected : - Display error message "Rekening/Data tidak ditemukan”. M2U

- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

8. RC-15 :tidak ada error message. Dana terpotong dan tidak ada reversal. History tidak muncul. Informasi di acknowledgement
screen tetap ada

Expected : - Display error message "Rekening blokir/ tidak aktif”. M2U

- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

9. RC-19 :tidak ada error message. Dana terpotong dan tidak ada reversal. History tidak muncul. Informasi di acknowledgement
screen tetap ada
Expected : - Display error message "Transaksi Gagal”. M2U
- Display in transaction history with "Failed" status. M2U
- Money should reversal back to customer. Systematic

10. RC-30 :tidak ada error message. Dana terpotong dan tidak ada reversal.

screen tetap ada

Expected : - Display error message "Format Data Salah”. M2U
- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

11. RC-31 :tidak ada error message. Dana terpotong dan tidak ada reversal.

screen tetap ada

Expected : - Display error message "CA not registered/wrong password”. M2U
- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

12. RC-68 :tidak ada error message. Dana terpotong dan tidak ada reversal.

ini null dan nominal 0

Expected : - Display error message "Transaction Time Out”. M2U
- Information in acknowledgement screen in not correct. M2U

- Money should reversal back to customer. Systematic

13. RC-90 :tidak ada error message. Dana terpotong dan tidak ada reversal.

screen tetap ada

Expected : - Display error message "Cut Off Time”. M2U
- Display in transaction history with "Failed" status. M2U
- Money should reversal back to customer. Systematic

14. RC-96 :tidak ada error message. Dana terpotong dan tidak ada reversal.

screen tetap ada

Expected : - Display error message "System Maintenance”. M2U
- Display in transaction history with "Failed" status. M2U

- Money should reversal back to customer. Systematic

15. RC-98 :tidak ada error message. Dana terpotong dan tidak ada reversal.

screen tetap ada

Expected : - Display error message "General Error”. M2U
- Display in transaction history with "Failed" status. M2U
- Money should reversal back to customer. Systematic

16. RC-500 : tidak ada error message. Dana terpotong dan tidak ada reversal.

screen tetap ada

Expected : - Display error message "General Error”. M2U
- Display in transaction history with "Failed" status. M2U
- Money should reversal back to customer. Systematic

Please refer to expected result for M2U

History tidak muncul. Informasi di acknowledgement

History tidak muncul. Informasi di acknowledgement

Informasi di acknowledgement screen tetap ada, saat

History tidak muncul. Informasi di acknowledgement

History tidak muncul. Informasi di acknowledgement

History tidak muncul. Informasi di acknowledgement

History tidak muncul. Informasi di acknowledgement

History

#1 - 08 February 2023 04:08 PM - Hao Ter Tai

- Status changed from New to In Progress

#2 - 09 February 2023 10:04 AM - Hao Ter Tai

- Assignee changed from Hao Ter Tai to santhosh Krishna

Android had handled to display all response message as long as not success, pending BE to handle the response code and response message

#3 - 10 February 2023 04:38 PM - santhosh Krishna
- Status changed from In Progress to Resolved

- Assignee changed from santhosh Krishna to yap chekying
#4 - 10 February 2023 06:16 PM - yap chekying
- File X4_acknow_Android.jpg added

- File X4_error_Android.jpg added

- File X4_goldDashboard_Android.jpg added

- File X4_trxDetails_Android.jpg added

- File X5_acknowledgement_Android.jpg added
- File X5_error_Android.jpg added

- File X5_goldDashboard_Android.jpg added

- File X5_trxDetails_Android.jpg added

- File 68_error_Android.jpg added

- File 68_trxDetails_Android.jpg added

- Status changed from Resolved to Pending Close
523¢ R8O -

A Path Tidak Ditemukan
(523 ¢ RE S -

M2U

Pembelian Emas Anda
Gagal

10 Feb 2023, 16:23:00

Nomor Referensi

Rekening Asal

Produk

Penyedia Produk

Harga Beli Emas

Berat Emas

Total Emas yang Dibeli

Biaya

Jumlah Dibayar

Nomor Akun Pegadaian
Frekuensi Pembayaran

Tanggal Pendebitan

SELESAI

20 April 2025

10001313390

U Transaction Account
I8B701902055

Emas

Pegadaian

IDR 932,000.00/ gram
0,0644 gram

IDR 60,000.00

IDR 5,000.00

IDR 65,000.00
1283521620002148
Sekali Saja

Segera

COBA LAGI
523¢ R8O -

< BACK EMAS

Nomor Akun Pegadaian @

2]
1283521620002148
Total Emas (Gram) Nilai Emas (Rupiah)
S\ 12.8042 IDR 11,574,997

Potensi Untung/Rugi ®@
IDR 1,490,605,064 ¥

BELI
Harga beli hari ini Harga jual hari ini
IDR IDR N
932,000 / 904,000 / j_
gram gram
HISTORI TRANSAKSI DETAIL
Beli IDR 60,000
+0.0644 gram IDR 932,000 / gram
10/02/2023

GAGAL

20 April 2025
(523 ¢ RE S -

< BACK TRANSAKSI
Transaksi @
Pembelian Emas 0.0644 gram
Subtotal Pembayaran IDR 60,000.00
Biaya IDR 5,000.00
Total IDR 65,000.00

Nomor Referensi
10001313390

Tanggal Transaksi
10/02/2023 16:23:00

Bayar Dari

U Transaction Account iB
No Rekening : 8701902055

Penyedia Produk
Pegadaian
526 Y% 8 O -

A System Gagal Mengambil Data X
(526 v & & -

M2U

Pembelian Emas Anda
Gagal

10 Feb 2023, 16:26:11

Nomor Referensi

Rekening Asal

Produk

Penyedia Produk

Harga Beli Emas

Berat Emas

Total Emas yang Dibeli

Biaya

Jumlah Dibayar

Nomor Akun Pegadaian
Frekuensi Pembayaran

Tanggal Pendebitan

SELESAI
10001313401

U Transaction Account
I8B701902055

Emas

Pegadaian

IDR 932,000.00/ gram
0,0430 gram

IDR 40,000.00

IDR 5,000.00

IDR 45,000.00
1283521620002148
Sekali Saja

Segera

COBA LAGI
527 ¢ %8 O -

< BACK EMAS

Nomor Akun Pegadaian @

2]
1283521620002148
Total Emas (Gram) Nilai Emas (Rupiah)
S\ 12.8042 IDR 11,574,997

Potensi Untung/Rugi ®@
IDR 1,490,605,064 ¥

BELI
Harga beli hari ini Harga jual hari ini
IDR IDR N
932,000 / 904,000 / l_
gram gram
HISTORI TRANSAKSI DETAIL
Beli IDR 40,000
+0.0430 gram IDR 932,000 / gram
10/02/2023

GAGAL
(527 v %% & -

< BACK TRANSAKSI
Transaksi @
Pembelian Emas 0.0430 gram
Subtotal Pembayaran IDR 40,000.00
Biaya IDR 5,000.00
Total IDR 45,000.00

Nomor Referensi
10001313401

Tanggal Transaksi
10/02/2023 16:26:11

Bayar Dari

U Transaction Account iB
No Rekening : 8701902055

Penyedia Produk
Pegadaian
540 ¢ R 4 O -

A System Gagal Memproses Request X
(540 %% & -

< BACK TRANSAKSI
Transaksi @
Pembelian Emas 0.0859 gram
Subtotal Pembayaran IDR 80,000.00
Biaya IDR 5,000.00
Total IDR 85,000.00

Nomor Referensi
10001313474

Tanggal Transaksi
10/02/2023 16:40:28

Bayar Dari

U Transaction Account iB
No Rekening : 8701902055

Penyedia Produk
Pegadaian
#5 - 12 April 2023 09:40 AM - yap chekying

- Status changed from Pending Close to Closed

Closed by UAT tester
